質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.52%

  • Laravel 5

    2455questions

    Laravel 5は、PHPフレームワークLaravelの最新バージョンで、2014年11月に発表予定です。ディレクトリ構造がが現行版より大幅に変更されるほか、メソッドインジェクションやFormRequestの利用が可能になります。

  • Node.js

    2289questions

    Node.jsとはGoogleのV8 JavaScriptエンジンを使用しているサーバーサイドのイベント駆動型プログラムです。

  • FreeBSD

    85questions

    FreeBSDは、Unix系のオープンソースのOSです。PC/AT互換機用ですが、他のプラットフォームにも移植されています。優れたネットワーク・セキュリティ・ストレージ機能で人気のOSです。ソースコードと共に無償で公開されており、多くの コミュニティによって長年に渡って開発されています。

さくらレンタルサーバーにNode.jsのインストールができない

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 1,511

gottenderloin

score 10

laravel5.3のLaravel ElixirでGulpを使用するために、
さくらのレンタルサーバー(スタンダード)にこちらのページを参考にしてNode.jsをインストールしようとしたのですが、
Node.jsをmake installする際に以下のエラーコードが出ます。

% make install
===>  node-7.7.1 node.js requires openssl 1.0.2, add
DEFAULT_VERSIONS+=ssl=openssl to /etc/make.conf or enable BUNDLED_SSL option.
*** [install] Error code 1

Stop in /home/(username)/local/work/ports/www/node.

色々模索したのですが、sshでの操作に慣れていないので、何をしてもインストールが一向にできず、困っています。
そもそもさくらのレンタルサーバーのOSのバージョンではNode.jsをインストールすることはできないのでしょうか?

OSはFreeBSD 9.1-RELEASE-p24です。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 2

checkベストアンサー

+1

node.js requires openssl 1.0.2
とある通り、opensslのバージョンが違うのでしょう。
恐らくですが、1.0.1系がインストールされているのだと思います。

% openssl version


とコマンドを打って、インストール済みのopensslのバージョンを確認してください。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/03/08 17:06

    ご回答ありがとうございます!
    バージョン確認をしてみたところ、

    % openssl version
    OpenSSL 1.0.2h 3 May 2016

    と出ました。
    バージョンはあっているということでしょうか…

    キャンセル

  • 2017/03/08 17:44

    ですね。。そうすると、「enable BUNDLED_SSL option.」の方試してみてはいかがでしょうか。

    キャンセル

  • 2017/03/09 10:15

    ${HOME}/local/ports/etc/make.confに
    BUNDLED_SSL=on
    と追加しましたが、
    やはり同じエラーのまま進みませんでした…

    キャンセル

-1

インストール出来たとしてもレンタルサーバーは常駐プロセスはkillされますよ。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

同じタグがついた質問を見る

  • Laravel 5

    2455questions

    Laravel 5は、PHPフレームワークLaravelの最新バージョンで、2014年11月に発表予定です。ディレクトリ構造がが現行版より大幅に変更されるほか、メソッドインジェクションやFormRequestの利用が可能になります。

  • Node.js

    2289questions

    Node.jsとはGoogleのV8 JavaScriptエンジンを使用しているサーバーサイドのイベント駆動型プログラムです。

  • FreeBSD

    85questions

    FreeBSDは、Unix系のオープンソースのOSです。PC/AT互換機用ですが、他のプラットフォームにも移植されています。優れたネットワーク・セキュリティ・ストレージ機能で人気のOSです。ソースコードと共に無償で公開されており、多くの コミュニティによって長年に渡って開発されています。